org.apache.jmeter.protocol.http.control

## Class Cookie

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.http.control.Cookie

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Searchable, TestElement

      public class Cookie
      extends AbstractTestElement
      implements java.io.Serializable

  This class is a Cookie encapsulator.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cookie()` create the coookie
    `Cookie(java.lang.String name, java.lang.String value, java.lang.String domain, java.lang.String path, boolean secure, long expires)` create the coookie
    `Cookie(java.lang.String name, java.lang.String value, java.lang.String domain, java.lang.String path, boolean secure, long expires, boolean hasPath, boolean hasDomain)` create the coookie
    `Cookie(java.lang.String name, java.lang.String value, java.lang.String domain, java.lang.String path, boolean secure, long expires, boolean hasPath, boolean hasDomain, int version)` Create a JMeter Cookie.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfigElement(ConfigElement config)`
    `java.lang.String` | `getDomain()` get the domain for this object.
    `long` | `getExpires()` get the expiry time for the cookie
    `long` | `getExpiresMillis()` get the expiry time for the cookie
    `java.lang.String` | `getPath()` get the path for this object.
    `boolean` | `getSecure()` get the secure for this object.
    `java.lang.String` | `getValue()` get the value for this object.
    `int` | `getVersion()`
    `boolean` | `isDomainSpecified()`
    `boolean` | `isPathSpecified()`
    `void` | `setDomain(java.lang.String domain)` set the domain for this object.
    `void` | `setDomainSpecified(boolean b)`
    `void` | `setExpires(long expires)` set the expiry time for the cookie
    `void` | `setPath(java.lang.String path)` set the path for this object.
    `void` | `setPathSpecified(boolean b)`
    `void` | `setSecure(boolean secure)` set the secure for this object.
    `void` | `setValue(java.lang.String value)` set the value for this object.
    `void` | `setVersion(int version)`
    `java.lang.String` | `toString()` creates a string representation of this cookie

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### Cookie

          public Cookie()

      create the coookie

    - #### Cookie

          public Cookie(java.lang.String name,
                        java.lang.String value,
                        java.lang.String domain,
                        java.lang.String path,
                        boolean secure,
                        long expires)

      create the coookie
      Parameters:
        `name` - name of the cookie
        `value` - value of the cookie
        `domain` - domain for which the cookie is valid
        `path` - path for which the cookie is valid
        `secure` - flag whether cookie is to be handled as 'secure'
        `expires` - - this is in seconds

    - #### Cookie

          public Cookie(java.lang.String name,
                        java.lang.String value,
                        java.lang.String domain,
                        java.lang.String path,
                        boolean secure,
                        long expires,
                        boolean hasPath,
                        boolean hasDomain)

      create the coookie
      Parameters:
        `name` - name of the cookie
        `value` - value of the cookie
        `domain` - domain for which the cookie is valid
        `path` - path for which the cookie is valid
        `secure` - flag whether cookie is to be handled as 'secure'
        `expires` - - this is in seconds
        `hasPath` - - was the path explicitly specified?
        `hasDomain` - - was the domain explicitly specified?

    - #### Cookie

          public Cookie(java.lang.String name,
                        java.lang.String value,
                        java.lang.String domain,
                        java.lang.String path,
                        boolean secure,
                        long expires,
                        boolean hasPath,
                        boolean hasDomain,
                        int version)

      Create a JMeter Cookie.
      Parameters:
        `name` - name of the cookie
        `value` - value of the cookie
        `domain` - domain for which the cookie is valid
        `path` - path for which the cookie is valid
        `secure` - flag whether cookie is to be handled as 'secure'
        `expires` - - this is in seconds
        `hasPath` - - was the path explicitly specified?
        `hasDomain` - - was the domain explicitly specified?
        `version` - - cookie spec. version

  - ### Method Detail

    - #### addConfigElement

          public void addConfigElement(ConfigElement config)

    - #### getValue

          public java.lang.String getValue()

      get the value for this object.
      Returns:
        the value of this cookie

    - #### setValue

          public void setValue(java.lang.String value)

      set the value for this object.
      Parameters:
        `value` - the value of this cookie

    - #### getDomain

          public java.lang.String getDomain()

      get the domain for this object.
      Returns:
        the domain for which this cookie is valid

    - #### setDomain

          public void setDomain(java.lang.String domain)

      set the domain for this object.
      Parameters:
        `domain` - the domain for which this cookie is valid

    - #### getExpires

          public long getExpires()

      get the expiry time for the cookie
      Returns:
        Expiry time in seconds since the Java epoch

    - #### getExpiresMillis

          public long getExpiresMillis()

      get the expiry time for the cookie
      Returns:
        Expiry time in milli-seconds since the Java epoch, i.e. same as System.currentTimeMillis()

    - #### setExpires

          public void setExpires(long expires)

      set the expiry time for the cookie
      Parameters:
        `expires` - - expiry time in seconds since the Java epoch

    - #### getSecure

          public boolean getSecure()

      get the secure for this object.
      Returns:
        flag whether this cookie should be treated as a 'secure' cookie

    - #### setSecure

          public void setSecure(boolean secure)

      set the secure for this object.
      Parameters:
        `secure` - flag whether this cookie should be treated as a 'secure' cookie

    - #### getPath

          public java.lang.String getPath()

      get the path for this object.
      Returns:
        the path for which this cookie is valid

    - #### setPath

          public void setPath(java.lang.String path)

      set the path for this object.
      Parameters:
        `path` - the path for which this cookie is valid

    - #### setPathSpecified

          public void setPathSpecified(boolean b)

    - #### isPathSpecified

          public boolean isPathSpecified()

    - #### setDomainSpecified

          public void setDomainSpecified(boolean b)

    - #### isDomainSpecified

          public boolean isDomainSpecified()

    - #### toString

          public java.lang.String toString()

      creates a string representation of this cookie
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getVersion

          public int getVersion()

      Returns:
        the version

    - #### setVersion

          public void setVersion(int version)

      Parameters:
        `version` - the version to set

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.